aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorgregkh@suse.de <gregkh@suse.de>2005-02-11 18:42:03 -0800
committerGreg KH <gregkh@suse.de>2005-04-26 23:35:15 -0700
commit5f2a5816cf6a67f8a39d082f119fe55c782b882b (patch)
treea3180328c95f4c79dc701450dca215e5f489e087 /test
parent6b3df4310f38683ff24d23688d4941fb395682d1 (diff)
downloadudev-5f2a5816cf6a67f8a39d082f119fe55c782b882b.tar.gz
[PATCH] allow simple-build-check.sh to go faster if MAKEOPTS is set
This lets my multiprocessor boxes do the testing quicker...
Diffstat (limited to 'test')
-rw-r--r--test/simple-build-check.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/simple-build-check.sh b/test/simple-build-check.sh
index fa80db4c..1ebe044b 100644
--- a/test/simple-build-check.sh
+++ b/test/simple-build-check.sh
@@ -6,24 +6,24 @@ EXTRAS="extras/chassis_id extras/scsi_id extras/volume_id"
echo KERNEL_DIR: "$KERNEL_DIR"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all EXTRAS="$EXTRAS" || exit
+make all $MAKEOPTS EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all DEBUG=true EXTRAS="$EXTRAS" || exit
+make all $MAKEOPTS DEBUG=true EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all USE_LOG=false EXTRAS="$EXTRAS" || exit
+make all $MAKEOPTS USE_LOG=false EXTRAS="$EXTRAS" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
+make all $MAKEOPTS USE_KLIBC=true DEBUG=true EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-make all USE_KLIBC=true USE_LOG=false EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
+make all $MAKEOPTS USE_KLIBC=true USE_LOG=false EXTRAS="$EXTRAS" KERNEL_DIR="$KERNEL_DIR" || exit
echo -e "\n\n"
make spotless EXTRAS="$EXTRAS" >/dev/null
-
+echo "build test completed successfully"